@wix/himalaya-cli 0.993.0 → 0.995.0
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
package/dist/authoring-runtime/node_modules/@wix/himalaya/dist/_types/core/ts/src/tokens.d.ts
CHANGED
|
@@ -210,10 +210,25 @@ export interface SidebarStyle {
|
|
|
210
210
|
motion?: string;
|
|
211
211
|
}
|
|
212
212
|
/** RFC 0020 — a motion curve. `duration` in ms; `easing` is one of
|
|
213
|
-
* "linear" | "easeIn" | "easeOut" | "easeInOut" | "spring". */
|
|
213
|
+
* "linear" | "easeIn" | "easeOut" | "easeInOut" | "spring" | "emphasized". */
|
|
214
214
|
export interface MotionToken {
|
|
215
215
|
duration: number;
|
|
216
|
-
|
|
216
|
+
/** `emphasized` (#2930) is Material 3's emphasized easing, cubic-bezier(0.2, 0, 0, 1) — the
|
|
217
|
+
* curve an Android idiom overlay reaches for where iOS would spring. */
|
|
218
|
+
easing?: "linear" | "easeIn" | "easeOut" | "easeInOut" | "spring" | "emphasized";
|
|
219
|
+
/** RFC 0059 / #2930 — a DECLARED spring, honoured by iOS, Android and the web when `easing` is
|
|
220
|
+
* `"spring"` (React Native keeps its one entrance curve). SwiftUI's two parameters: `response`
|
|
221
|
+
* is the period in seconds; `dampingFraction` 1 settles without overshoot, below 1 overshoots,
|
|
222
|
+
* above 1 settles more slowly. Every renderer holds them to `response` 0.05–10 and
|
|
223
|
+
* `dampingFraction` 0.1–4 — a value outside is clamped, never an error. Either may be omitted:
|
|
224
|
+
* `response` then defaults to `duration`, `dampingFraction` to 0.8. Absent altogether ⇒ each
|
|
225
|
+
* renderer's own legacy spring, unchanged — so an app that declares none animates as before. */
|
|
226
|
+
spring?: SpringParams;
|
|
227
|
+
}
|
|
228
|
+
/** See `MotionToken.spring`. */
|
|
229
|
+
export interface SpringParams {
|
|
230
|
+
response?: number;
|
|
231
|
+
dampingFraction?: number;
|
|
217
232
|
}
|
|
218
233
|
/** RFC 0021 — a surface material. `style` is "flat" | "glass" | "frosted"
|
|
219
234
|
* (unknown ⇒ treated as flat by renderers); `tint` names a color token;
|